hit tracker

upgraded to 5.50 gen-d (full) & can't play new umd games

Discussion in 'PSP Newbie Corner & Tutorials' started by morty1, May 11, 2011.

  1. 8
    0
    0
    morty1

    morty1 Loyal Member

    Joined:
    May 3, 2011
    hi,
    unbricked my psp & installed 5.50 gen-d (full) and i still can't play relatively new games over the past few years i keep getting game can't play error code 80020148,your help is appreciated:confused::confused:quick update ,installed prometheus patch for 5.50 & games are playing no problem.
     
    Last edited by a moderator: May 11, 2011
  2. 26,553
    170
    63
    Xenogears V

    Xenogears V Senior Helper Clean-Up Crew

    Joined:
    Dec 28, 2006
    Location:
    Italy Rulez! - Proud To Italian
    Search and install 5.50GEN D3 prometheus 4.
     

Share This Page